View Issue Details

IDProjectCategoryView StatusLast Update
0014713BuildsysCi.centos.org Ecosystem Testingpublic2018-06-05 21:39
Reporterjlebon 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Summary0014713: Nodes with oci_kvm_hook=allowed don't appear to mount /dev/kvm
DescriptionIt doesn't seem like even nodes labeled with oci_kvm_hook=allowed provide /dev/kvm to containers.
Can we confirm that this is the exact build installed on those hosts?
https://koji.fedoraproject.org/koji/buildinfo?buildID=1058034

It contains a patch to make things work with OpenShift:
https://github.com/stefwalter/oci-kvm-hook/pull/4
Steps To Reproduce$ oc create -f -

{
    "apiVersion": "v1",
    "kind": "Pod",
    "metadata": {
        "generateName": "papr-manual-testpod-",
        "labels": {
            "app": "papr",
            "papr.projectatomic.redhat.com/test-pod": "true"
        }
    },
    "spec": {
        "restartPolicy": "Never",
        "containers": [
            {
                "name": "test-pod",
                "image": "registry.fedoraproject.org/fedora:27",
                "imagePullPolicy": "IfNotPresent",
                "command": ["sleep", "infinity"],
                "securityContext": {
                    "runAsUser": 0
                },
                "resources": {
                    "requests": {
                        "memory": "2Gi",
                        "cpu": "1.5"
                    }
                }
            }
        ],
        "nodeSelector": {
            "oci_kvm_hook": "allowed"
        }
    }
}

$ oc exec papr-manual-testpod-h9q00 -- ls -la /dev/kvm
ls: cannot access '/dev/kvm': No such file or directory
command terminated with exit code 2
TagsNo tags attached.

Activities

bstinson

bstinson

2018-04-27 17:58

administrator   ~0031687

Fixed node labels, and firewalld in apps.ci

Issue History

Date Modified Username Field Change
2018-04-23 21:37 jlebon New Issue
2018-04-27 17:58 bstinson Note Added: 0031687
2018-04-27 17:58 bstinson Status new => resolved
2018-04-27 17:58 bstinson Resolution open => fixed